Skip to main content
Version: 10.0

Device Zone Mappings Resource

Description​

This resource is for managing which zones are mapped to devices.

POST /device_zone_mappings​

POST Parameters​

NameRequiredTypeDescriptionDefault Value
zone_resourceYesJSON StringThe zone resource that should be mapped to the device. 
device_resourceYesJSON StringThe device resource for the device that will use the zone. 

POST Response Values​

A valid POST response will return the "zone_resource" and "device_resource" strings used in the request.

Example POST Request​

POST /device_zone_mappings
 
JSON Body:
{
"data" : {
"zone_resource" : "/zones/2031",
"device_resource" : "/devices/515"
}
}

 

Example POST Response​

HTTP/1.1 201 Created
 
{
"device_resource": "/devices/515",
"zone_resource": "/zones/2031"
}

 

DELETE /device_zone_mappings​

Parameters​

NameRequiredTypeDescriptionDefault Value
device_resourceYesURL ParameterThe device resource you want to remove the mapping from. 
zone_resourceYesURL ParameterThe zone resource of the zone you want to remove form the device. 

Example DELETE Request​

 DELETE /device_zone_mappings?device_resource=%2Fdevices%2F515&zone_resource=%2Fzones%2F2031

Example DELETE Response​

 HTTP/1.1 200 OK